﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Low/Average/High 클래스 사용하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Bar bar = new Bar(this.tChart.Chart);

            bar.FillSampleValues(8);

            High high = new High();

            high.Period = 2;

            Line line1 = new Line(this.tChart.Chart);

            line1.Pointer.Visible = true;
            line1.Marks.Visible   = true;
            line1.Function        = high;
            line1.DataSource      = bar;

            Average average = new Average();

            average.Period = 2;

            Line line2 = new Line(this.tChart.Chart);

            line2.Pointer.Visible = true;
            line2.Marks.Visible   = true;
            line2.Function        = average;
            line2.DataSource      = bar;

            Low low = new Low();

            low.Period = 2;

            Line line3 = new Line(this.tChart.Chart);

            line3.Pointer.Visible = true;
            line3.Marks.Visible   = true;
            line3.Function        = low;
            line3.DataSource      = bar;
        }

        #endregion
    }
}